Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 24

Thread: nvidia 390 driver on 23.04/23.10

  1. #11
    Join Date
    Jun 2007
    Beans
    14,839

    Re: nvidia 390 driver on 23.04/23.10

    I don't see anything wrong with the Xorg log.

    Quote Originally Posted by SeijiSensei View Post
    I have a pretty old NVIDIA card
    Pascal isn't that old. Anyway, the OP has a Fermi, "NVIDIA GPU GeForce GT 430 (GF108)", which is only supported up to 390.xx

  2. #12
    Join Date
    Nov 2008
    Location
    Boston MetroWest
    Beans
    16,326

    Re: nvidia 390 driver on 23.04/23.10

    Quote Originally Posted by Yellow Pasque View Post
    Pascal isn't that old.
    I bought it refurbished over eight years ago. I think of that as "old" in the video adapter market since it's dominated by gamers.
    If you ask for help, do not abandon your request. Please have the courtesy to check for responses and thank the people who helped you.

    Blog · Linode System Administration Guides · Android Apps for Ubuntu Users

  3. #13
    Join Date
    Dec 2023
    Beans
    9

    Re: nvidia 390 driver on 23.04/23.10

    Quote Originally Posted by Yellow Pasque View Post
    I don't see anything wrong with the Xorg log.
    "Using 6144.00 MB of virtual memory for indirect memory access." - is it normal? It is not too much? Maybe this 6GB is the reason of segfault? Maybe wrong default xorg config?
    If it normal, I will generate yet another bug with nvidia driver segfault error.
    What tools I could use in order to catch the binary or library, which crashes the xorg?
    Last edited by dltech; December 17th, 2023 at 08:52 PM.

  4. #14
    Join Date
    Oct 2006
    Location
    Kansas City, MO
    Beans
    270
    Distro
    Kubuntu

    Re: nvidia 390 driver on 23.04/23.10

    I'm having the same issue. My laptop, which was running 390, recently booted to a black screen full of cryptic kernel output. I reinstalled Kubuntu and now I can only start it with nouveau.modeset=0 on the grub command line. Every time I try to install the drivers (the card calls for 390), it errors out...

    INFO:Enable nvidia
    Removing old nvidia-390.157 DKMS files...
    Deleting module nvidia-390.157 completely from the DKMS tree.
    Loading new nvidia-390.157 DKMS files...
    ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/nvidia-dkms-390.0.crash'
    Consult /var/lib/dkms/nvidia/390.157/build/make.log for more information.
    dpkg: error processing package nvidia-dkms-390 (--configure):
    installed nvidia-dkms-390 package post-installation script subprocess returned error exit status 10
    dpkg: dependency problems prevent configuration of nvidia-driver-390:
    nvidia-driver-390 depends on nvidia-dkms-390 (<= 390.157-1); however:
    Package nvidia-dkms-390 is not configured yet.
    nvidia-driver-390 depends on nvidia-dkms-390 (>= 390.157); however:
    Package nvidia-dkms-390 is not configured yet.
    dpkg: error processing package nvidia-driver-390 (--configure):
    nvidia-dkms-390
    nvidia-driver-390

  5. #15
    Join Date
    Oct 2006
    Location
    Kansas City, MO
    Beans
    270
    Distro
    Kubuntu

    Re: nvidia 390 driver on 23.04/23.10

    apt install -f and nothing else I have tried with apt or dpkg works. Now I have to boot with nouveau.modeset=0
    Last edited by scottbomb; February 11th, 2024 at 01:01 AM.

  6. #16
    Join Date
    Mar 2010
    Location
    USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: nvidia 390 driver on 23.04/23.10

    Backup...

    The Ubuntu Graphics Team's "Propiertary GPU Drivers PPA", which I am a beta tester for: https://launchpad.net/~graphics-driv...series_filter=

    Still has NVidia Driver 390 built through Noble...

    "Concurrent coexistence of Windows, Linux and UNIX..." || Ubuntu user # 33563, Linux user # 533637
    Sticky: Graphics Resolution | UbuntuForums 'system-info' Script | Posting Guidelines | Code Tags

  7. #17
    Join Date
    Oct 2006
    Location
    Kansas City, MO
    Beans
    270
    Distro
    Kubuntu

    Re: nvidia 390 driver on 23.04/23.10

    I tried that and got the same error. It looks like the repo is enabled alright.
    Code:
    scottbomb@laptop:/etc/apt/sources.list.d$ cat grap*
    deb https://ppa.launchpadcontent.net/graphics-drivers/ppa/ubuntu/ jammy main
    In case this is helpful...
    Code:
    scottbomb@laptop:/etc/apt/sources.list.d$ sudo lshw -C display;
      *-display UNCLAIMED       
           description: VGA compatible controller
           product: GK107GLM [Quadro K1100M]
           vendor: NVIDIA Corporation
           physical id: 0
           bus info: pci@0000:01:00.0
           version: a1
           width: 64 bits
           clock: 33MHz
           capabilities: pm msi pciexpress vga_controller cap_list
           configuration: latency=0
           resources: memory:b0000000-b0ffffff memory:80000000-8fffffff memory:90000000-91ffffff ioport:4000(size=128) memory:b1080000-b10fffff
      *-display
           description: VGA compatible controller
           product: 4th Gen Core Processor Integrated Graphics Controller
           vendor: Intel Corporation
           physical id: 2
           bus info: pci@0000:00:02.0
           logical name: /dev/fb0
           version: 06
           width: 64 bits
           clock: 33MHz
           capabilities: msi pm vga_controller bus_master cap_list rom fb
           configuration: depth=32 driver=i915 latency=0 resolution=1920,1080
           resources: irq:35 memory:b1400000-b17fffff memory:a0000000-afffffff ioport:5000(size=64) memory:c0000-dffff
    Code:
    scottbomb@laptop:/etc/apt/sources.list.d$ sudo ubuntu-drivers devices
    == /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0 ==
    modalias : pci:v000010DEd00000FF6sv000017AAsd0000221Ebc03sc00i00
    vendor   : NVIDIA Corporation
    model    : GK107GLM [Quadro K1100M]
    driver   : nvidia-driver-418-server - distro non-free
    driver   : nvidia-driver-390 - distro non-free recommended
    driver   : xserver-xorg-video-nouveau - distro free builtin
    Last edited by scottbomb; February 11th, 2024 at 07:38 AM.

  8. #18
    Join Date
    Jun 2007
    Beans
    14,839

    Re: nvidia 390 driver on 23.04/23.10

    Quote Originally Posted by MAFoElffen View Post
    The Ubuntu Graphics Team's "Propiertary GPU Drivers PPA", which I am a beta tester for: https://launchpad.net/~graphics-driv...series_filter=
    Still has NVidia Driver 390 built through Noble...
    It's out of date though, as it only works up to kernel 6.4.
    I made a PPA specifically to fix the issue. See: https://bugs.launchpad.net/ubuntu/+s...0/+bug/2051436

  9. #19
    Join Date
    Mar 2010
    Location
    USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: nvidia 390 driver on 23.04/23.10

    Here is the problem:
    Code:
    scottbomb@laptop:/etc/apt/sources.list.d$ cat grap*
    deb https://ppa.launchpadcontent.net/graphics-drivers/ppa/ubuntu/ jammy main
    
    Is for Jammy, you were all talking about newer releases sand where it was dropped, which is a different issue altogether than to make it work for Jammy.
    Read the second half of this: https://ubuntuforums.org/showthread....4#post14175164

    The 6.5.0 kernel was compile with gcc-12... Jammy has gcc-11. You will see, by the bug-report, changing the compiler in the work-around still doesn't work for NVidia's legacy drivers. Therefore the second half of that post is the work-around for legacy drivers... Uninstall the 6.5.0 series kernels and pin the kernels to 6.2.0 or remove the HWE stack so the kernels are at the 5.15 series.

    Canonical & Launchpad is trying to work on a fix for legacy drivers working with 6.5.0 and newer kernels, but they are not there yet

    "Concurrent coexistence of Windows, Linux and UNIX..." || Ubuntu user # 33563, Linux user # 533637
    Sticky: Graphics Resolution | UbuntuForums 'system-info' Script | Posting Guidelines | Code Tags

  10. #20
    Join Date
    Jun 2007
    Beans
    14,839

    Re: nvidia 390 driver on 23.04/23.10

    Quote Originally Posted by MAFoElffen View Post
    Here is the problem:
    ...
    Canonical & Launchpad is trying to work on a fix for legacy drivers working with 6.5.0 and newer kernels, but they are not there yet
    I've had multiple people tell me that the Jammy version of 390 in my PPA worked for them with 6.5, and while I don't have an Nvidia card to fully test it, I was able to verify that it builds/installs correctly in a Jammy VM.
    As for the Mantic version, I just straight copied the binaries from the Jammy version and didn't test it, so I wouldn't be surprised if that doesn't work.

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •